/*
 * @Author: wrh
 * @Date: 2024-04-03 13:53:12
 * @LastEditors: wrh
 * @LastEditTime: 2024-06-28 14:33:23
 */
import request from '@/utils/request'

// 查询cmc技术方案列表
export function listTechnicalPlan(query) {
  return request({
    url: '/oa/technicalPlan/list',
    method: 'get',
    params: query
  })
}

// 查询cmc技术方案详细
export function getTechnicalPlan(technicalPlanId) {
  return request({
    url: '/oa/technicalPlan/' + technicalPlanId,
    method: 'get'
  })
}

// 新增cmc技术方案
export function addTechnicalPlan(data) {
  return request({
    url: '/oa/technicalPlan',
    method: 'post',
    data: data
  })
}

// 修改cmc技术方案
export function updateTechnicalPlan(data) {
  return request({
    url: '/oa/technicalPlan',
    method: 'put',
    data: data
  })
}

// 删除cmc技术方案
export function delTechnicalPlan(technicalPlanId) {
  return request({
    url: '/oa/technicalPlan/' + technicalPlanId,
    method: 'delete'
  })
}
